var test = require('tap').test

var fixAdminParty = require('../../lib/fix-admin-party')

test('fixAdminParty', function (group) {
  group.test('when session request fails', function (t) {
    t.plan(1)

    fixAdminParty({
      couch: {
        session: function (callback) {
          callback('error')
        }
      }
    }, function (error) {
      t.is(error, 'error', 'returns error')
    })
  })

  group.end()
})
